package java_book.ch1;

import java_book.bag.Bag;
import java_book.bag.BagInterface;

public class OnlineShopper {
	public static void main(String[] args) {
		Item[] items = {new Item("Bird feeder", 2050),
						new Item("Squirrel guard", 1547),
						new Item("Bird bath", 4499),
						new Item("Sunflower seeds", 1295)};
		BagInterface<Item> shoppingCart = new Bag<Item>();
		int totalCost = 0;
		int numItems = items.length;
		for (int index = 0; index < numItems; index++) {
			Item nextItem = items[index];
			shoppingCart.add(nextItem);
			totalCost = totalCost + nextItem.getPrice();
		}
		
		while (!shoppingCart.isEmpty()) {
			System.out.println(shoppingCart.remove());
		}
		System.out.println("Total cost: $" +totalCost/100+ "." +totalCost%100);
	}
}
