package java_book.ch1;

import java_book.bag.Bag;
import java_book.bag.BagInterface;

/**
 * A class that implements a piggy bank by using a bag.
 * @author mark
 *
 */
public class PiggyBank {
	private BagInterface<Coin> coins;
	
	public PiggyBank() {
		coins = new Bag<Coin>();
	}
	
	public boolean add(Coin aCoin) {
		return coins.add(aCoin);
	}
	
	public Coin remove() {
		return coins.remove();
	}
	
	public boolean isEmpty() {
		return coins.isEmpty();
	}
}
