package java_book.ch10;

import java_book.queue.*;

public class LinkedDequeDemo {
	public static void main(String[] args) {
		DequeInterface<String> myDeque = new LinkedDeque<String>();
	
		myDeque.addToFront("Jim");
		myDeque.addToBack("Jess");
		myDeque.addToFront("Jill");
		myDeque.addToBack("Jane");
		
		String front1 = myDeque.removeFront();
		String front2 = myDeque.removeFront();
		
		String back1 = myDeque.removeBack();
		String back2 = myDeque.removeBack();
		//System.out.println("Test: " +myDeque.removeBack());
		
		System.out.println("Front1: " +front1+
						   " Front2: " +front2+
						   " Back1: " +back1+
						   " Back2: " +back2);
	}
}
