package java_book.ch3;

import java_book.LinkedBag.LinkedBag;
import java_book.bag.BagInterface;

public class LinkedBagDemo {
	
	public static void main(String[] args) {
		BagInterface<Integer> aBag = new LinkedBag<Integer>();
		
		aBag.add(10);
		aBag.add(11);
		aBag.add(12);
		
		displayList(aBag);
		
		aBag.remove();
		
		displayList(aBag);
		
		System.out.println("Head data: " +aBag.remove());
		
		displayList(aBag);
	}
	
	public static void displayList(BagInterface<Integer> aBag) {
		Object[] list = aBag.toArray();
		
		int size = aBag.getCurrentSize();
		int i;
		for (i = 0; i < size; i++) {
			System.out.print(list[i] + ", ");
		}
		System.out.println();
	}
	
}
