package java_book.ch1;

/**
 * A class that defines a coin and the year it was made
 * @author mark
 *
 */
public class Coin {
	private int coin;
	private int year;
	
	public Coin() {
		this.coin = 0;
		this.year = 0;
	}
	
	public Coin(int newCoin, int newYear) {
		this.coin = newCoin;
		this.year = newYear;
	}
	
	public int getCoin() {
		return this.coin;
	}
	
	public int getYear() {
		return this.year;
	}
	
	public String getCoinName() {
		switch (this.coin) {
		case 1:
			return "Penny";
		case 5:
			return "Nickel";
		case 10:
			return "Dime";
		default:
			return "Quarter";
		}
	}
	
	public String toString() {
		return "Coin: " +this.coin+ " Year: " +this.year;
	}
}
