package java_book.node;

public class DLNode<T> {
	private T data;
	private DLNode<T> next;
	private DLNode<T> prev;
	
	public DLNode() {
		this(null, null, null);
	}
	
	public DLNode(T newData, DLNode<T> nextNode, DLNode<T> prevNode) {
		data = newData;
		next = nextNode;
		prev = prevNode;
	}
	
	public T getData() {
		return data;
	}
	
	public DLNode<T> getNextNode() {
		return next;
	}
	
	public DLNode<T> getPrevNode() {
		return prev;
	}
	
	public void setData(T newData) {
		data = newData;
	}
	
	public void setNextNode(DLNode<T> nextNode) {
		next = nextNode;
	}
	
	public void setPrevNode(DLNode<T> prevNode) {
		prev = prevNode;
	}
	
}
