package java_book.node;

public class Node<T> {
	private T data;
	private Node<T> next;
	private Node<T> prev;
		
	public Node(T dataPortion) {
		this(dataPortion, null);
	}

	public Node(T dataPortion, Node<T> nextNode) {
		this.data = dataPortion;
		this.next = nextNode;
	}
		
	public void setNext(Node<T> nextNode) {
		this.next = nextNode;
	}
		
	public void setPrev(Node<T> prevNode) {
		this.prev = prevNode;
	}
	
	public void setData(T newData) {
		this.data = newData;
	}
		
	public T getData() {
		return this.data;
	}
		
	public Node<T> nextNode() {
		return this.next;
	}
		
	public Node<T> prevNode() {
		return this.prev;
	}
}
